Subject: Re: [PATCH net-next-2.6] drivers/net: Move && and || to end of previous line

From: William Allen Simpson <[email-masked]>
Date: Sat, 05 Dec 2009 22:00:41 -0500

David Miller wrote:
> From: William Allen Simpson <[email-masked]>
> Date: Sat, 05 Dec 2009 07:43:41 -0500
> 
>> These patches should not be accepted to the main Linus tree.
> 
> You come out of nowhere as a new contributor.  You have to constantly
> ask about policy and other formalities wrt. kernel development.
> 
Because they are not documented.  Oh, and a reminder -- you've not
answered my most recent questions....

> Yet here you are telling us what should or should not go into the
> tree.
> 
> You don't even know what the "merge window" is yet you seem so

That would be one of the questions (which git clone to patch against now)
that you haven't answered.  Silly of me to ask practical questions.

> confident to elicit firm declarations about code policy.
> 
That would be because I've ample experience coding for multiple open
source platforms.  Apparently such experience isn't valued (by you).

But the fact that about 19% of the Linux code base has managed to function
for circa 18 years without this particular coding policy might be a clue!

> That's nothing but blind arrogance.
> 
> Nobody can take you seriously William, really.
> 
Always _such_ a delight interacting with you, and your personal attacks.

Something that *is* in Documentation/ManagementStyle at 147:

     There's just a few simple rules here:
      (1) don't call people d*ckheads (at least not in public)
      (2) learn how to apologize when you forgot rule (1)